Subject: bug#30807: Tramp tests take waaayyy too long and refuse to exit

From: Noam Postavsky <[email-masked]>
Date: Sat, 17 Mar 2018 11:23:48 -0400

Michael Albinus <[email-masked]> writes:

> I've profiled tramp-tests.el, and could optimize some of the
> tests. Surprisingly, should-error clauses take much more time than other
> forms.

The ert machinery for should-* forms is pretty hairy, we'll probably
have to overhaul it to solve Bug#30745 anyway.